<?php

namespace app\models\base;

use Yii;

/**
 * This is the model class for table "tags".
 *
 * @property int $id
 * @property int|null $topic_id
 * @property string|null $title
 * @property string $meta_title
 * @property string $url
 * @property string|null $keywords
 * @property string $description
 * @property int $order
 * @property int $active
 * @property string $show
 * @property string $ext
 */
class Tags extends \yii\db\ActiveRecord
{
    /**
     * {@inheritdoc}
     */
    public static function tableName()
    {
        return 'tags';
    }

    /**
     * {@inheritdoc}
     */
    public function rules()
    {
        return [
            [['topic_id', 'order', 'active'], 'integer'],
            [['meta_title', 'url', 'description', 'ext'], 'required'],
            [['keywords', 'show', 'ext'], 'string'],
            [['title'], 'string', 'max' => 255],
            [['meta_title'], 'string', 'max' => 70],
            [['url'], 'string', 'max' => 128],
            [['description'], 'string', 'max' => 300],
        ];
    }

    /**
     * {@inheritdoc}
     */
    public function attributeLabels()
    {
        return [
            'id' => 'ID',
            'topic_id' => 'Topic ID',
            'title' => 'Title',
            'meta_title' => 'Meta Title',
            'url' => 'Url',
            'keywords' => 'Keywords',
            'description' => 'Description',
            'order' => 'Order',
            'active' => 'Active',
            'show' => 'Show',
            'ext' => 'Ext',
        ];
    }

    /**
     * {@inheritdoc}
     * @return TagsQuery the active query used by this AR class.
     */
    public static function find()
    {
        return new TagsQuery(get_called_class());
    }
}
